<?php
/*
Plugin Name: iSummarize
Plugin URI: http://www.tools4noobs/summarize/
Description: This widget will add a button to the sidebar to summarize the page. It must be added to the desired location through Admin Panel - Presentation - Widgets. If the current theme does not support widgets, you can easily edit the Sidebar and add the following code: <?php widget_summarize(); ?>
Version: 1.1.0
Author: Indy
Author URI: http://blog.bubble.ro
*/

function widget_summarize($args) {
    extract($args);
?>
        <?php echo $before_widget; ?>
            <?php echo $before_title
                . $after_title;

$summarize_link = 'http://www.tools4noobs.com/summarize/';

$options = get_option('widget_summarize');

if (empty($options['title']))
{
	$options['title'] = "Summarize it!";
}

switch ($options['image'])
{
	case 'summarize_red.gif':
	case 'summarize_blue.gif':
	case 'summarize_round.png':
	{
?>

<div style="padding: 6px; margin: auto; text-align: center">
	
<a href="<?=$summarize_link?>ref/"><img src="<?=$summarize_link?>images/<?=$options['image']?>" alt="Summarize it!" title="<?=$options['title']?>" border="0"/></a>
<div style="font-size: 9px">
<a href="<?=$summarize_link?>">Get your own widget!</a>
</div>

</div>

<?php
	} break;
	
	default:
{
?>

<div style="padding: 6px; margin: auto; text-align: center">
	
<input type="button" value="<?=$options['title']?>" onclick="document.location='<?=$summarize_link?>ref/'" />
<div style="font-size: 9px">
<a href="<?=$summarize_link?>">Get your own widget!</a>
</div>

</div>

<?php
}

}
?>


        <?php echo $after_widget; ?>
<?php
}

function widget_summarize_control() {
	
	$summarize_link = 'http://www.tools4noobs.com/summarize/';
	
	$options = get_option('widget_summarize');
	
	$newoptions = array();

	if ( $_POST['summarize-submit']==1 ) {
		$newoptions['title']	= strip_tags(stripslashes($_POST['summarize-title']));
		$newoptions['image']	= strip_tags(stripslashes($_POST['summarize-image']));
		
		update_option('widget_summarize', $newoptions);
		$options = $newoptions;
	}
	
	$title		= wp_specialchars($options['title']);
	$image		= wp_specialchars($options['image']);
	
	if ($image=='0')
	{
		$image = '0.gif';
	}
?>
			<p style="text-align:right"><label for="summarize-title"><?php _e('Buton title:'); ?></label> <input style="width: 200px;" id="summarize-title" name="summarize-title" type="text" value="<?php echo $title; ?>" /></p>
			<p style="text-align:right"><label for="summarize-image"><?php _e('Buton type:'); ?></label>
				
<script type="text/javascript">
function summarize_changeimg (s)
{
	value = s.value;
	
	if (value == 0)
	{
		value = "0.gif";
	}
	
	document.getElementById("summarize_img").src = "<?=$summarize_link?>images/" + value;
}
</script>
				
				<select  style="width: 200px;" id="summarize-image" name="summarize-image" onchange="summarize_changeimg(this)">
					<option value="0">Simple buton</option>
					<option value="summarize_red.gif" <?php echo $image=="summarize_red.gif" ? 'selected' : ''?> >Red Summarize it! image</option>
					<option value="summarize_blue.gif" <?php echo $image=="summarize_blue.gif" ? 'selected' : ''?> >Blue Summarize it! image</option>
					<option value="summarize_round.png" <?php echo $image=="summarize_round.png" ? 'selected' : ''?> >Round Summarize it! image</option>
				</select>
			</p>
			
			<p style="text-align: center">
			<img src="<?=$summarize_link?>images/<?=$image?>" id="summarize_img" name="summarize_img" border="0" />
			</p>
			
			<input type="hidden" id="summarize-submit" name="summarize-submit" value="1" />
			
			<p style="text-align: center">
			<input type="submit" value="Save options" />
			</p>
<?php
}

function widget_summarize_register() {
	if ( function_exists('register_sidebar_widget') ) :
		
	register_sidebar_widget('iSummarize', 'widget_summarize');
	register_widget_control('iSummarize', 'widget_summarize_control', 300, 230);

	endif;
}

add_action('init', 'widget_summarize_register');
?>